TYPE Foo
  X AS INTEGER
  Y AS INTEGER
END TYPE
DECLARE SUB Foo::routine ()
DECLARE FUNCTION Foo::Mult (a)

dim Obj(7, 5) as Foo
Obj(3, 2).x = 12
Obj(3, 2).y = 24
Obj(5, 1).x = 13
Obj(5, 1).y = 25

'Obj->routine
PRINT STR$(Obj(5,1)->Mult(7))

SUB Foo::routine
  print str$(x)
  print str$(Y)
END SUB

FUNCTION Foo::Mult (a)
  Foo<-Mult = X * Y
  print str$(a)
END FUNCTION
